Global Accounts
Global Accounts are foreign currency accounts that function as local bank accounts. They can be used to collect funds from around the world. You get account details that enable you to collect funds from various platforms such as Amazon, eBay and Shopify, among others. Global Accounts can also be used to top up your Airwallex balance.
GET /api/v1/global_accountsGET /api/v1/global_accounts/{global_account_id}/mandatesGET /api/v1/global_accounts/{global_account_id}/mandates/{id}POST /api/v1/global_accounts/{global_account_id}/mandates/{id}/cancelGET /api/v1/global_accounts/{id}POST /api/v1/global_accounts/{id}/closePOST /api/v1/global_accounts/{id}/generate_statement_letterGET /api/v1/global_accounts/{id}/transactionsPOST /api/v1/global_accounts/{id}/updatePOST /api/v1/global_accounts/createGET /api/v1/global_accounts/{global_account_id}/aliasesGET /api/v1/global_accounts/{global_account_id}/aliases/{id}POST /api/v1/global_accounts/{global_account_id}/aliases/createPOST /api/v1/global_accounts/{global_account_id}/aliases/{id}/cancelPOST /api/v1/global_accounts/{global_account_id}/aliases/{id}/initiate_portPOST /api/v1/global_accounts/{global_account_id}/aliases/{id}/submit_verification_codePOST /api/v1/global_accounts/{global_account_id}/aliases/{id}/request_new_verification_code
Get a list of global accounts
GET /api/v1/global_accounts
Get list of global accounts created by your Airwallex account.
Country of the global account (2-letter ISO 3166-2 country code)
The start date of created_at in ISO8601 format (inclusive)
Nickname of the global account
A bookmark for use in pagination to retrieve either the next page or the previous page of results. You can fetch the value for this identifier from the response of the previous API call. To retrieve the next page of results, pass the value of page_after (if not null) from the response to a subsequent call. To retrieve the previous page of results, pass the value of page_before (if not null) from the response to a subsequent call.
Number of results per page. Default value is 100.
Currency that was specified during Global Account creation
Status of the account
Currency that is supported by the Global Account
The end date of created_at in ISO8601 format (inclusive)
Paged results.
Global account name
Country of the global account specified in the request (2-letter ISO 3166-2 country code)
Global account unique identifier
Details of the Financial institution of your global account
Financial institution address line
Financial institution city/town
Financial institution in which your account is domiciled
Financial institution branch name
Financial institution zip code
Required features when creating the global account
Currency of the global account (3-letter ISO-4217 code)
Transfer method in which a deposit can be received for the specified currency. Possible transfer methods are: LOCAL, SWIFT. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
Status of global account
ACTIVE, INACTIVE, CLOSED
Supported features of your global account
Currency of the global account (3-letter ISO-4217 code)
Routing information
Routing code type
ach, bsb, sort_code, bank_code, branch_code, fedwire, transit_number, institution_number, swift, citad_bank_code, cnpj
Routing code value
Type of the supported feature
DEPOSIT, DIRECT_DEBIT
Alias types that can be registered with the local clearing system via Create alias
Supported local clearing system
BANK_TRANSFER, NPP, OSKO, DIRECT_ENTRY_TRANSFER, BECS, PAYTO, EFT, INTERAC, SEPA, SEPA_INSTANT, TARGET2, INTRADAGCLEARING, KRONOS2, STRAKSCLEARING, BACS, CHAPS, FASTER_PAYMENTS, ACH, FPS, RTGS, ATM_PRIMA, BI_FAST, IPI, SKN, ZENGIN, HOFINET, SPEI, DUITNOW, GIRO, RENTAS, ELIXIR, EXPRESS_ELIXIR, SORBNET, FAST, FEDWIRE, ZAHAV, MASAV, NAPAS, CITAD, TED, PIX, INSTAPAY, PESONET
Transfer method in which a deposit can be received or a direct debit can be initiated. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
LOCAL, SWIFT
Global account number (fiat). For stablecoin global accounts this field is omitted, use stablecoin_address for the deposit wallet.
Account type of the financial institution account
Checking, Saving, Current, Payment
For a specific local clearing system, this serves as the unique alternate identifier for a global account.
Applicable only for CA Global Accounts. Supported Formats .
Global Account closure reason. One of CUSTOMER_REQUESTED, DISABLED_BY_AIRWALLEX is returned.
Target currency that incoming funds will be converted to. Applicable only when Global Account country is ID. Supported currencies (3-letter ISO-4217 code).
IBAN number
Nickname of the global account
Unique request identifier specified in the request
Bank SWIFT code
The page cursor used for searching after page
The page cursor used for search before page
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 {4 "account_number": "88888888",5 "account_type": "Checking",6 "alternate_account_identifiers": {7 "email": "[email protected]"8 },9 "close_reason": "CUSTOMER_REQUESTED",10 "country_code": "GP",11 "deposit_conversion_currency": "USD",12 "iban": "GB81LHVB04032900176471",13 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",14 "institution": {15 "address": "Old Street Yard",16 "branch_name": "Wakatake ワカタケ",17 "city": "London",18 "name": "Saxo Payments A/S",19 "zip_code": "018982"20 },21 "nick_name": "GBP in UK for Subsidiary Company ABC",22 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",23 "required_features": [24 {25 "currency": "GBP",26 "transfer_method": "LOCAL"27 }28 ],29 "status": "CLOSED",30 "supported_features": [31 {32 "alias_types": [],33 "currency": "GBP",34 "local_clearing_system": "ACH",35 "routing_codes": [36 {37 "type": "sort_code",38 "value": "040329"39 }40 ],41 "transfer_method": "LOCAL",42 "type": "DEPOSIT"43 }44 ],45 "swift_code": "SXPYDEHH"46 }47 ],48 "page_after": "<string>",49 "page_before": "<string>"50}
Get a list of direct debit payout mandates
GET /api/v1/global_accounts/{global_account_id}/mandates
Get a list of Direct Debit Payout Mandates by an Airwallex global account id.
The unique identifier of the Global Account with the mandate
The start time of created_at (inclusive)
Page number starts from 0, default value is 0
Number of results per page, default value is 50
Status of the mandate, possible value should be ACTIVE, CANCELLED
The end time of created_at (inclusive)
A flag which identifies whether there are more results.
Paged results.
Time when the mandate was created in Airwallex
Creditor who receives the direct debit payout under the mandate
Currency supported by the mandate
Debtor who pays the direct debit payout under the mandate
The unique identifier of the Global Account with the mandate
The unique identifier of the mandate
Payment scheme associated with the mandate
The time when the mandate was lodged, format should be “yyyy-MM-dd’T’HH:mm:ssXXX”
Status of the mandate, possible values should be ACTIVE, CANCELLED
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/mandates' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "created_at": "2022-09-19T08:40:48Z",6 "creditor_name": "creditor",7 "currency": "GBP",8 "debtor_name": "debtor",9 "global_account_id": "035253e2-1b14-43d0-b98f-a62fd91bb985",10 "id": "11987bad-bb6d-4e30-ba49-d19826c3e803",11 "payment_scheme": "Bacs",12 "setup_time": "2022-09-19T00:00:00Z",13 "status": "ACTIVE"14 }15 ]16}
Get a direct debit payout mandate by ID
GET /api/v1/global_accounts/{global_account_id}/mandates/{id}
Get a Direct Debit Payout Mandate by an Airwallex global account id and mandate id.
The unique identifier of the Global Account with the mandate
The unique identifier of the mandate
Time when the mandate was created in Airwallex
Creditor who receives the direct debit payout under the mandate
Currency supported by the mandate
Debtor who pays the direct debit payout under the mandate
The unique identifier of the Global Account with the mandate
The unique identifier of the mandate
Payment scheme associated with the mandate
The time when the mandate was lodged, format should be “yyyy-MM-dd’T’HH:mm:ssXXX”
Status of the mandate, possible values should be ACTIVE, CANCELLED
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/mandates/global_account_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "created_at": "2022-09-19T08:40:48Z",3 "creditor_name": "creditor",4 "currency": "GBP",5 "debtor_name": "debtor",6 "global_account_id": "035253e2-1b14-43d0-b98f-a62fd91bb985",7 "id": "11987bad-bb6d-4e30-ba49-d19826c3e803",8 "payment_scheme": "Bacs",9 "setup_time": "2022-09-19T00:00:00Z",10 "status": "ACTIVE"11}
Cancel a direct debit payout mandate by ID
POST /api/v1/global_accounts/{global_account_id}/mandates/{id}/cancel
Cancel a Direct Debit Payout Mandate by an Airwallex global account id and mandate id.
The unique identifier of the Global Account with the mandate
The unique identifier of the mandate
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/mandates/global_account_id/cancel' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
Get global account by ID
GET /api/v1/global_accounts/{id}
Get global account by an Airwallex global account id.
Query the Airwallex's global account using the global account unique identifier
Global account name
Global account number (fiat). For stablecoin global accounts this field is omitted, use stablecoin_address for the deposit wallet.
Account type of the financial institution account
Checking, Saving, Current, Payment
For a specific local clearing system, this serves as the unique alternate identifier for a global account.
Applicable only for CA Global Accounts. Supported Formats .
Global Account closure reason. One of CUSTOMER_REQUESTED, DISABLED_BY_AIRWALLEX is returned.
Country of the global account specified in the request (2-letter ISO 3166-2 country code)
Target currency that incoming funds will be converted to. Applicable only when Global Account country is ID. Supported currencies (3-letter ISO-4217 code).
IBAN number
Global account unique identifier
Details of the Financial institution of your global account
Financial institution address line
Financial institution city/town
Financial institution in which your account is domiciled
Financial institution branch name
Financial institution zip code
Nickname of the global account
Unique request identifier specified in the request
Required features when creating the global account
Currency of the global account (3-letter ISO-4217 code)
Transfer method in which a deposit can be received for the specified currency. Possible transfer methods are: LOCAL, SWIFT. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
Status of global account
ACTIVE, INACTIVE, CLOSED
Supported features of your global account
Currency of the global account (3-letter ISO-4217 code)
Routing information
Routing code type
ach, bsb, sort_code, bank_code, branch_code, fedwire, transit_number, institution_number, swift, citad_bank_code, cnpj
Routing code value
Type of the supported feature
DEPOSIT, DIRECT_DEBIT
Alias types that can be registered with the local clearing system via Create alias
Supported local clearing system
BANK_TRANSFER, NPP, OSKO, DIRECT_ENTRY_TRANSFER, BECS, PAYTO, EFT, INTERAC, SEPA, SEPA_INSTANT, TARGET2, INTRADAGCLEARING, KRONOS2, STRAKSCLEARING, BACS, CHAPS, FASTER_PAYMENTS, ACH, FPS, RTGS, ATM_PRIMA, BI_FAST, IPI, SKN, ZENGIN, HOFINET, SPEI, DUITNOW, GIRO, RENTAS, ELIXIR, EXPRESS_ELIXIR, SORBNET, FAST, FEDWIRE, ZAHAV, MASAV, NAPAS, CITAD, TED, PIX, INSTAPAY, PESONET
Transfer method in which a deposit can be received or a direct debit can be initiated. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
LOCAL, SWIFT
Bank SWIFT code
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "account_name": "<string>",3 "account_number": "88888888",4 "account_type": "Checking",5 "alternate_account_identifiers": {6 "email": "[email protected]"7 },8 "close_reason": "CUSTOMER_REQUESTED",9 "country_code": "GP",10 "deposit_conversion_currency": "USD",11 "iban": "GB81LHVB04032900176471",12 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",13 "institution": {14 "address": "Old Street Yard",15 "branch_name": "Wakatake ワカタケ",16 "city": "London",17 "name": "Saxo Payments A/S",18 "zip_code": "018982"19 },20 "nick_name": "GBP in UK for Subsidiary Company ABC",21 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",22 "required_features": [23 {24 "currency": "GBP",25 "transfer_method": "LOCAL"26 }27 ],28 "status": "CLOSED",29 "supported_features": [30 {31 "alias_types": [],32 "currency": "GBP",33 "local_clearing_system": "ACH",34 "routing_codes": [35 {36 "type": "sort_code",37 "value": "040329"38 }39 ],40 "transfer_method": "LOCAL",41 "type": "DEPOSIT"42 }43 ],44 "swift_code": "SXPYDEHH"45}
Close a global account
POST /api/v1/global_accounts/{id}/close
Close a global account created under your Airwallex account.
Unique identifier of the global account to close.
Global account name
Global account number (fiat). For stablecoin global accounts this field is omitted, use stablecoin_address for the deposit wallet.
Account type of the financial institution account
Checking, Saving, Current, Payment
For a specific local clearing system, this serves as the unique alternate identifier for a global account.
Applicable only for CA Global Accounts. Supported Formats .
Global Account closure reason. One of CUSTOMER_REQUESTED, DISABLED_BY_AIRWALLEX is returned.
Country of the global account specified in the request (2-letter ISO 3166-2 country code)
Target currency that incoming funds will be converted to. Applicable only when Global Account country is ID. Supported currencies (3-letter ISO-4217 code).
IBAN number
Global account unique identifier
Details of the Financial institution of your global account
Financial institution address line
Financial institution city/town
Financial institution in which your account is domiciled
Financial institution branch name
Financial institution zip code
Nickname of the global account
Unique request identifier specified in the request
Required features when creating the global account
Currency of the global account (3-letter ISO-4217 code)
Transfer method in which a deposit can be received for the specified currency. Possible transfer methods are: LOCAL, SWIFT. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
Status of global account
ACTIVE, INACTIVE, CLOSED
Supported features of your global account
Currency of the global account (3-letter ISO-4217 code)
Routing information
Routing code type
ach, bsb, sort_code, bank_code, branch_code, fedwire, transit_number, institution_number, swift, citad_bank_code, cnpj
Routing code value
Type of the supported feature
DEPOSIT, DIRECT_DEBIT
Alias types that can be registered with the local clearing system via Create alias
Supported local clearing system
BANK_TRANSFER, NPP, OSKO, DIRECT_ENTRY_TRANSFER, BECS, PAYTO, EFT, INTERAC, SEPA, SEPA_INSTANT, TARGET2, INTRADAGCLEARING, KRONOS2, STRAKSCLEARING, BACS, CHAPS, FASTER_PAYMENTS, ACH, FPS, RTGS, ATM_PRIMA, BI_FAST, IPI, SKN, ZENGIN, HOFINET, SPEI, DUITNOW, GIRO, RENTAS, ELIXIR, EXPRESS_ELIXIR, SORBNET, FAST, FEDWIRE, ZAHAV, MASAV, NAPAS, CITAD, TED, PIX, INSTAPAY, PESONET
Transfer method in which a deposit can be received or a direct debit can be initiated. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
LOCAL, SWIFT
Bank SWIFT code
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/close' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "account_name": "<string>",3 "account_number": "88888888",4 "account_type": "Checking",5 "alternate_account_identifiers": {6 "email": "[email protected]"7 },8 "close_reason": "CUSTOMER_REQUESTED",9 "country_code": "GP",10 "deposit_conversion_currency": "USD",11 "iban": "GB81LHVB04032900176471",12 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",13 "institution": {14 "address": "Old Street Yard",15 "branch_name": "Wakatake ワカタケ",16 "city": "London",17 "name": "Saxo Payments A/S",18 "zip_code": "018982"19 },20 "nick_name": "GBP in UK for Subsidiary Company ABC",21 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",22 "required_features": [23 {24 "currency": "GBP",25 "transfer_method": "LOCAL"26 }27 ],28 "status": "CLOSED",29 "supported_features": [30 {31 "alias_types": [],32 "currency": "GBP",33 "local_clearing_system": "ACH",34 "routing_codes": [35 {36 "type": "sort_code",37 "value": "040329"38 }39 ],40 "transfer_method": "LOCAL",41 "type": "DEPOSIT"42 }43 ],44 "swift_code": "SXPYDEHH"45}
Generate global account statement
POST /api/v1/global_accounts/{id}/generate_statement_letter
Generate global account statement letter, return as file stream
Unique identifier of the global account
Type of account statement. One of AMAZON, EBAY, COUPANG, GENERAL
If account statement type is one of AMAZON, EBAY, COUPANG, the registration info field is required
I confirm that the details are correct and match the details I provided to and appear on the platform. I agree and acknowledge that Airwallex will be relying on this information and my confirmation in the future, including for issuing account statements for platform.
This flag must be true
Registered address info
Address line
City/Town
Country
Postcode
State/Province
Registered email
Registered owner/company name
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/generate_statement_letter' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "account_statement_type": "AMAZON",> "registration_info": {> "agreement": true,> "registered_address": {> "address": "15 William Street",> "city": "Melbourne",> "country": "Australia",> "postcode": "3000",> "state": "VIC"> },> "registered_email": "[email protected]",> "registered_name": "John Walker"> }>}'
1"<string>"
Get global account transactions
GET /api/v1/global_accounts/{id}/transactions
Obtain transaction details of funds received into your specified global account.
Unique identifier of the global account
The start date of created_at in ISO8601 format (inclusive)
Page number, starts from 0
Number of results per page. Default value is 100.
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
Amount of the transaction in transaction currency
Currency of the transaction (3-letter ISO-4217 code)
The time of the transaction created
Description of the transaction
Fee amount of the transaction in transaction currency
Fee currency of the transaction (3-letter ISO-4217 code)
Unique id of the transaction
Payer country code of the transaction (2-letter ISO 3166-2 country code)
UNDEFINED, AC, AD, AE, AF, AG, AI, AL, AM, AN, AO, AQ, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BU, BV, BW, BY, BZ, CA, CC, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CP, CR, CS, CU, CV, CW, CX, CY, CZ, DE, DG, DJ, DK, DM, DO, DZ, EA, EC, EE, EG, EH, ER, ES, ET, EU, EZ, FI, FJ, FK, FM, FO, FR, FX, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, IC, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, NO, NP, NR, NT, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PS, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SF, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SU, SV, SX, SY, SZ, TA, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TP, TR, TT, TV, TW, TZ, UA, UG, UK, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, XI, XU, XK, YE, YT, YU, ZA, ZM, ZR, ZW
Payer name of the transaction
Status of the transaction, can be one of: 'PENDING', 'SETTLED', 'REJECTED', 'CANCELLED'
Type of the transaction, can be one of: 'DEBIT', 'CREDIT'
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/transactions' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "amount": 10000,6 "create_time": "2017-03-22T16:08:02+1100",7 "currency": "AUD",8 "fee_amount": 10,9 "fee_currency": "AUD",10 "id": "90b98dc6-63a0-403f-816b-ac5305b42a11",11 "payer_country": "US",12 "payer_name": "AMZNnt70paD1",13 "status": "PENDING",14 "type": "CREDIT"15 }16 ]17}
Update existing global account
POST /api/v1/global_accounts/{id}/update
Edit an existing global account nick_name, deposit_conversion_currency or alternate_account_identifiers stored on the Airwallex platform.
id of the global account to update.
Nickname of the global account
For a specific local clearing system, this serves as the unique alternate identifier for a global account. For CAD Global Accounts: Re-submitting the same email address (alternate_account_identifiers.value from GET /api/v1/global_accounts/{id}) will resend the Autodeposit confirmation email.
Applicable only for CA Global Accounts. Supported Formats .
Target currency that incoming funds will be converted to. Applicable only when Global Account country is ID. Supported currencies (3-letter ISO-4217 code).
Global account name
Global account number (fiat). For stablecoin global accounts this field is omitted, use stablecoin_address for the deposit wallet.
Account type of the financial institution account
Checking, Saving, Current, Payment
For a specific local clearing system, this serves as the unique alternate identifier for a global account.
Applicable only for CA Global Accounts. Supported Formats .
Global Account closure reason. One of CUSTOMER_REQUESTED, DISABLED_BY_AIRWALLEX is returned.
Country of the global account specified in the request (2-letter ISO 3166-2 country code)
Target currency that incoming funds will be converted to. Applicable only when Global Account country is ID. Supported currencies (3-letter ISO-4217 code).
IBAN number
Global account unique identifier
Details of the Financial institution of your global account
Financial institution address line
Financial institution city/town
Financial institution in which your account is domiciled
Financial institution branch name
Financial institution zip code
Nickname of the global account
Unique request identifier specified in the request
Required features when creating the global account
Currency of the global account (3-letter ISO-4217 code)
Transfer method in which a deposit can be received for the specified currency. Possible transfer methods are: LOCAL, SWIFT. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
Status of global account
ACTIVE, INACTIVE, CLOSED
Supported features of your global account
Currency of the global account (3-letter ISO-4217 code)
Routing information
Routing code type
ach, bsb, sort_code, bank_code, branch_code, fedwire, transit_number, institution_number, swift, citad_bank_code, cnpj
Routing code value
Type of the supported feature
DEPOSIT, DIRECT_DEBIT
Alias types that can be registered with the local clearing system via Create alias
Supported local clearing system
BANK_TRANSFER, NPP, OSKO, DIRECT_ENTRY_TRANSFER, BECS, PAYTO, EFT, INTERAC, SEPA, SEPA_INSTANT, TARGET2, INTRADAGCLEARING, KRONOS2, STRAKSCLEARING, BACS, CHAPS, FASTER_PAYMENTS, ACH, FPS, RTGS, ATM_PRIMA, BI_FAST, IPI, SKN, ZENGIN, HOFINET, SPEI, DUITNOW, GIRO, RENTAS, ELIXIR, EXPRESS_ELIXIR, SORBNET, FAST, FEDWIRE, ZAHAV, MASAV, NAPAS, CITAD, TED, PIX, INSTAPAY, PESONET
Transfer method in which a deposit can be received or a direct debit can be initiated. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
LOCAL, SWIFT
Bank SWIFT code
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "alternate_account_identifiers": {> "email": "[email protected]"> },> "deposit_conversion_currency": "USD",> "nick_name": "GBP in UK for Subsidiary Company ABC">}'
1{2 "account_name": "<string>",3 "account_number": "88888888",4 "account_type": "Checking",5 "alternate_account_identifiers": {6 "email": "[email protected]"7 },8 "close_reason": "CUSTOMER_REQUESTED",9 "country_code": "GP",10 "deposit_conversion_currency": "USD",11 "iban": "GB81LHVB04032900176471",12 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",13 "institution": {14 "address": "Old Street Yard",15 "branch_name": "Wakatake ワカタケ",16 "city": "London",17 "name": "Saxo Payments A/S",18 "zip_code": "018982"19 },20 "nick_name": "GBP in UK for Subsidiary Company ABC",21 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",22 "required_features": [23 {24 "currency": "GBP",25 "transfer_method": "LOCAL"26 }27 ],28 "status": "CLOSED",29 "supported_features": [30 {31 "alias_types": [],32 "currency": "GBP",33 "local_clearing_system": "ACH",34 "routing_codes": [35 {36 "type": "sort_code",37 "value": "040329"38 }39 ],40 "transfer_method": "LOCAL",41 "type": "DEPOSIT"42 }43 ],44 "swift_code": "SXPYDEHH"45}
Create a global account
POST /api/v1/global_accounts/create
Submit a request to create a new global account in your chosen currency. This global account can be used for the purpose of receiving funds from your payers via the local clearing system or swift system.
Country of the global account (2-letter ISO 3166-2 country code)
Unique request identifier
Required features of the global account
Currency of the global account (3-letter ISO-4217 code)
Transfer method in which a deposit can be received for the specified currency. Possible transfer methods are: LOCAL, SWIFT. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
For a specific local clearing system, this serves as the unique alternate identifier for a global account
Applicable only for CA Global Accounts. Supported Formats .
Target currency that incoming funds will be converted to. Applicable only when Global Account country is ID. Supported currencies (3-letter ISO-4217 code).
Nickname of the global account. Default: current account's business name
Global account name
Global account number
Account type of the financial institution account
Checking, Saving, Current, Payment
For a specific local clearing system, this serves as the unique alternate identifier for a global account.
Applicable only for CA Global Accounts. Supported Formats .
Country of the global account specified in the request (2-letter ISO 3166-2 country code)
Target currency that incoming funds will be converted to. Applicable only when Global Account country is ID. Supported currencies (3-letter ISO-4217 code).
IBAN number
Global account unique identifier
Details of the Financial institution of your global account
Financial institution address line
Financial institution city/town
Financial institution in which your account is domiciled
Financial institution branch name
Financial institution zip code
Nickname of the global account
Unique request identifier specified in the request
Required features when creating the global account
Currency of the global account (3-letter ISO-4217 code)
Transfer method in which a deposit can be received for the specified currency. Possible transfer methods are: LOCAL, SWIFT. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
Status of global account. One of ACTIVE, INACTIVE is returned.
Supported features of your global account
Currency of the global account (3-letter ISO-4217 code)
Routing information
Routing code type
ach, bsb, sort_code, bank_code, branch_code, fedwire, transit_number, institution_number, swift, citad_bank_code, cnpj
Routing code value
Type of the supported feature
DEPOSIT, DIRECT_DEBIT
Alias types that can be registered with the local clearing system via Create alias
Supported local clearing system
BANK_TRANSFER, NPP, OSKO, DIRECT_ENTRY_TRANSFER, BECS, PAYTO, EFT, INTERAC, SEPA, SEPA_INSTANT, TARGET2, INTRADAGCLEARING, KRONOS2, STRAKSCLEARING, BACS, CHAPS, FASTER_PAYMENTS, ACH, FPS, RTGS, ATM_PRIMA, BI_FAST, IPI, SKN, ZENGIN, HOFINET, SPEI, DUITNOW, GIRO, RENTAS, ELIXIR, EXPRESS_ELIXIR, SORBNET, FAST, FEDWIRE, ZAHAV, MASAV, NAPAS, CITAD, TED, PIX, INSTAPAY, PESONET
Transfer method in which a deposit can be received or a direct debit can be initiated. Not applicable for stablecoin global accounts — field is absent from JSON for stablecoin entries.
LOCAL, SWIFT
Bank SWIFT code
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "alternate_account_identifiers": {> "email": "[email protected]"> },> "country_code": "GP",> "deposit_conversion_currency": "USD",> "nick_name": "GBP in UK for Subsidiary Company ABC",> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",> "required_features": [> {> "currency": "GBP",> "transfer_method": "LOCAL"> }> ]>}'
1{2 "account_name": "<string>",3 "account_number": "88888888",4 "account_type": "Checking",5 "alternate_account_identifiers": {6 "email": "[email protected]"7 },8 "country_code": "GP",9 "deposit_conversion_currency": "USD",10 "iban": "GB81LHVB04032900176471",11 "id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",12 "institution": {13 "address": "Old Street Yard",14 "branch_name": "Wakatake ワカタケ",15 "city": "London",16 "name": "Saxo Payments A/S",17 "zip_code": "018982"18 },19 "nick_name": "GBP in UK for Subsidiary Company ABC",20 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",21 "required_features": [22 {23 "currency": "GBP",24 "transfer_method": "LOCAL"25 }26 ],27 "status": "ACTIVE",28 "supported_features": [29 {30 "alias_types": [],31 "currency": "GBP",32 "local_clearing_system": "ACH",33 "routing_codes": [34 {35 "type": "sort_code",36 "value": "040329"37 }38 ],39 "transfer_method": "LOCAL",40 "type": "DEPOSIT"41 }42 ],43 "swift_code": "SXPYDEHH"44}
Get a list of Aliases
GET /api/v1/global_accounts/{global_account_id}/aliases
Retrieves a list of aliases registered to a given Global Account.
The unique ID of the Global Account
The start time of created_at in ISO 8601 format (inclusive)
A bookmark for use in pagination to retrieve either the next page or the previous page of results. You can fetch the value for this identifier from the response of the previous API call. To retrieve the next page of results, pass the value of page_after (if not null) from the response to a subsequent call. To retrieve the previous page of results, pass the value of page_before (if not null) from the response to a subsequent call.
Number of results per page. Default value is 100, maximum value is 2000.
Status of the alias
The end time of created_at in ISO 8601 format (inclusive)
Paged results.
Global account ID
Alias ID
Local clearing system to be registered with
NPP
Unique request ID specified in the request
Alias status
REQUIRES_ACTION, PROCESSING, ACTIVE, PORT_INITIATED, PORTED, CANCELLATION_REQUESTED, CANCELLED, FAILED, SUSPENSION_REQUESTED, SUSPENDED
Alias type
EMAIL, PHONE_NUMBER, AUSTRALIAN_BUSINESS_NUMBER
Alias value
Details of the next action to be taken
Type of action to be taken
submit_verification_code, request_new_verification_code, complete_port
The expiration time of the verification code in ISO8601 format.
Remaining attempts you have to submit the verification code. When this reaches 0, the code becomes invalid and you must call Request new verification code for an alias to generate a new one.
Explanation for the status of the Alias. If there are no additional details, we will return null.
The page cursor used for searching after page
The page cursor used for search before page
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/aliases' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 {4 "global_account_id": "global_account_id",5 "id": "alias_id",6 "local_clearing_system": "NPP",7 "next_action": {8 "expires_at": "2026-01-31T06:57:10+0000",9 "remaining_attempts": 3,10 "type": "submit_verification_code"11 },12 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",13 "status": "ACTIVE",14 "type": "EMAIL",15 "value": "[email protected]"16 }17 ],18 "page_after": "<string>",19 "page_before": "<string>"20}
Get an Alias by ID
GET /api/v1/global_accounts/{global_account_id}/aliases/{id}
Retrieves details of an alias using the given alias ID.
The unique ID of the Global Account
The unique ID of the Alias
Global account ID
Alias ID
Local clearing system to be registered with
NPP
Details of the next action to be taken
Type of action to be taken
submit_verification_code, request_new_verification_code, complete_port
The expiration time of the verification code in ISO8601 format.
Remaining attempts you have to submit the verification code. When this reaches 0, the code becomes invalid and you must call Request new verification code for an alias to generate a new one.
Explanation for the status of the Alias. If there are no additional details, we will return null.
Unique request ID specified in the request
Alias status
REQUIRES_ACTION, PROCESSING, ACTIVE, PORT_INITIATED, PORTED, CANCELLATION_REQUESTED, CANCELLED, FAILED, SUSPENSION_REQUESTED, SUSPENDED
Alias type
EMAIL, PHONE_NUMBER, AUSTRALIAN_BUSINESS_NUMBER
Alias value
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/aliases/alias_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "global_account_id": "global_account_id",3 "id": "alias_id",4 "local_clearing_system": "NPP",5 "next_action": {6 "expires_at": "2026-01-31T06:57:10+0000",7 "remaining_attempts": 3,8 "type": "submit_verification_code"9 },10 "reason": "<string>",11 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",12 "status": "ACTIVE",13 "type": "EMAIL",14 "value": "[email protected]"15}
Create an Alias for a Global Account
POST /api/v1/global_accounts/{global_account_id}/aliases/create
Creates an alias for a Global Account to receive funds. Supported alias types include: EMAIL, PHONE_NUMBER, and AUSTRALIAN_BUSINESS_NUMBER. For alias types EMAIL or PHONE_NUMBER, a verification code will be sent via email or SMS respectively. You must submit this code for verification using the Submit Alias verification code endpoint to complete the alias creation process.
The unique ID of the Global Account
Local clearing system to be registered with
Unique request ID
Alias type
Alias value
Global account ID
Alias ID
Local clearing system to be registered with
NPP
Details of the next action to be taken
Type of action to be taken
submit_verification_code, request_new_verification_code, complete_port
The expiration time of the verification code in ISO8601 format.
Remaining attempts you have to submit the verification code. When this reaches 0, the code becomes invalid and you must call Request new verification code for an alias to generate a new one.
Explanation for the status of the Alias. If there are no additional details, we will return null.
Unique request ID specified in the request
Alias status
REQUIRES_ACTION, PROCESSING, ACTIVE, PORT_INITIATED, PORTED, CANCELLATION_REQUESTED, CANCELLED, FAILED, SUSPENSION_REQUESTED, SUSPENDED
Alias type
EMAIL, PHONE_NUMBER, AUSTRALIAN_BUSINESS_NUMBER
Alias value
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/aliases/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "local_clearing_system": "NPP",> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",> "type": "EMAIL",> "value": "[email protected]">}'
1{2 "global_account_id": "global_account_id",3 "id": "alias_id",4 "local_clearing_system": "NPP",5 "next_action": {6 "expires_at": "2026-01-31T06:57:10+0000",7 "remaining_attempts": 3,8 "type": "submit_verification_code"9 },10 "reason": "<string>",11 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",12 "status": "ACTIVE",13 "type": "EMAIL",14 "value": "[email protected]"15}
Cancel an Alias for a Global Account
POST /api/v1/global_accounts/{global_account_id}/aliases/{id}/cancel
Cancels an alias for a Global Account. Once cancelled, the alias can no longer be used for any transactions, such as receiving funds.
The unique ID of the Global Account
The unique ID of the Alias
Global account ID
Alias ID
Local clearing system to be registered with
NPP
Details of the next action to be taken
Type of action to be taken
submit_verification_code, request_new_verification_code, complete_port
The expiration time of the verification code in ISO8601 format.
Remaining attempts you have to submit the verification code. When this reaches 0, the code becomes invalid and you must call Request new verification code for an alias to generate a new one.
Explanation for the status of the Alias. If there are no additional details, we will return null.
Unique request ID specified in the request
Alias status
REQUIRES_ACTION, PROCESSING, ACTIVE, PORT_INITIATED, PORTED, CANCELLATION_REQUESTED, CANCELLED, FAILED, SUSPENSION_REQUESTED, SUSPENDED
Alias type
EMAIL, PHONE_NUMBER, AUSTRALIAN_BUSINESS_NUMBER
Alias value
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/aliases/alias_id/cancel' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "global_account_id": "global_account_id",3 "id": "alias_id",4 "local_clearing_system": "NPP",5 "next_action": {6 "expires_at": "2026-01-31T06:57:10+0000",7 "remaining_attempts": 3,8 "type": "submit_verification_code"9 },10 "reason": "<string>",11 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",12 "status": "ACTIVE",13 "type": "EMAIL",14 "value": "[email protected]"15}
Initiate an Alias port for a Global Account
POST /api/v1/global_accounts/{global_account_id}/aliases/{id}/initiate_port
Initiates an alias port to transfer the alias details to a different Airwallex Global Account or to another external bank account. After you submit the request, the alias status changes to PORT_INITIATED and then requires further action to complete the port once the alias becomes portable. To complete the port, register the alias details to another Airwallex Global Account using Create an Alias for a Global Account or with another external bank account provider.
The unique ID of the Global Account
The unique ID of the Alias
Global account ID
Alias ID
Local clearing system to be registered with
NPP
Details of the next action to be taken
Type of action to be taken
submit_verification_code, request_new_verification_code, complete_port
The expiration time of the verification code in ISO8601 format.
Remaining attempts you have to submit the verification code. When this reaches 0, the code becomes invalid and you must call Request new verification code for an alias to generate a new one.
Explanation for the status of the Alias. If there are no additional details, we will return null.
Unique request ID specified in the request
Alias status
REQUIRES_ACTION, PROCESSING, ACTIVE, PORT_INITIATED, PORTED, CANCELLATION_REQUESTED, CANCELLED, FAILED, SUSPENSION_REQUESTED, SUSPENDED
Alias type
EMAIL, PHONE_NUMBER, AUSTRALIAN_BUSINESS_NUMBER
Alias value
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/aliases/alias_id/initiate_port' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "global_account_id": "global_account_id",3 "id": "alias_id",4 "local_clearing_system": "NPP",5 "next_action": {6 "expires_at": "2026-01-31T06:57:10+0000",7 "remaining_attempts": 3,8 "type": "submit_verification_code"9 },10 "reason": "<string>",11 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",12 "status": "ACTIVE",13 "type": "EMAIL",14 "value": "[email protected]"15}
Submit Alias verification code
POST /api/v1/global_accounts/{global_account_id}/aliases/{id}/submit_verification_code
Submits the verification code (received via email or SMS) to complete the alias creation process. If the code has expired or the verification attempt limit is reached, request a new verification code using the Request new Alias verification code endpoint.
The unique ID of the Global Account
The unique ID of the Alias
The verification code sent by Airwallex to complete the alias creation
Global account ID
Alias ID
Local clearing system to be registered with
NPP
Details of the next action to be taken
Type of action to be taken
submit_verification_code, request_new_verification_code, complete_port
The expiration time of the verification code in ISO8601 format.
Remaining attempts you have to submit the verification code. When this reaches 0, the code becomes invalid and you must call Request new verification code for an alias to generate a new one.
Explanation for the status of the Alias. If there are no additional details, we will return null.
Unique request ID specified in the request
Alias status
REQUIRES_ACTION, PROCESSING, ACTIVE, PORT_INITIATED, PORTED, CANCELLATION_REQUESTED, CANCELLED, FAILED, SUSPENSION_REQUESTED, SUSPENDED
Alias type
EMAIL, PHONE_NUMBER, AUSTRALIAN_BUSINESS_NUMBER
Alias value
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/aliases/alias_id/submit_verification_code' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "code": "123456">}'
1{2 "global_account_id": "global_account_id",3 "id": "alias_id",4 "local_clearing_system": "NPP",5 "next_action": {6 "expires_at": "2026-01-31T06:57:10+0000",7 "remaining_attempts": 3,8 "type": "submit_verification_code"9 },10 "reason": "<string>",11 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",12 "status": "ACTIVE",13 "type": "EMAIL",14 "value": "[email protected]"15}
Request new Alias verification code
POST /api/v1/global_accounts/{global_account_id}/aliases/{id}/request_new_verification_code
Requests new verification code for an alias to complete the alias creation process.
The unique ID of the Global Account
The unique ID of the Alias
Global account ID
Alias ID
Local clearing system to be registered with
NPP
Details of the next action to be taken
Type of action to be taken
submit_verification_code, request_new_verification_code, complete_port
The expiration time of the verification code in ISO8601 format.
Remaining attempts you have to submit the verification code. When this reaches 0, the code becomes invalid and you must call Request new verification code for an alias to generate a new one.
Explanation for the status of the Alias. If there are no additional details, we will return null.
Unique request ID specified in the request
Alias status
REQUIRES_ACTION, PROCESSING, ACTIVE, PORT_INITIATED, PORTED, CANCELLATION_REQUESTED, CANCELLED, FAILED, SUSPENSION_REQUESTED, SUSPENDED
Alias type
EMAIL, PHONE_NUMBER, AUSTRALIAN_BUSINESS_NUMBER
Alias value
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/global_accounts/global_account_id/aliases/alias_id/request_new_verification_code' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "global_account_id": "global_account_id",3 "id": "alias_id",4 "local_clearing_system": "NPP",5 "next_action": {6 "expires_at": "2026-01-31T06:57:10+0000",7 "remaining_attempts": 3,8 "type": "submit_verification_code"9 },10 "reason": "<string>",11 "request_id": "8d411ad4-aed6-1261-92fa-51225212e2e1",12 "status": "ACTIVE",13 "type": "EMAIL",14 "value": "[email protected]"15}